@import "../../../assets/styles/main.scss";

.phoneInputMain {
  .phoneInputClass {
    position: relative;
    input {
      padding: 15px 103px 15px 64px !important;
      height: rem(48);
      border: none;
      font-size: rem(16);
      line-height: rem(24);
      color: getColorHex("black");
      width: 100%;
      background-color: getColorHex("cream");

      &:focus {
        outline: none;
      }
    }

    & > div > div {
      color: var(--custom-text-color-dynamic);
      margin-right: rem(6);
    }

    & > div {
      position: absolute;
      right: 7.5px;
      bottom: 9.5px;
      width: fit-content;
      border: rem(1) solid var(--custom-text-color-dynamic);
      margin-right: rem(16);
      padding: rem(12 10 12 16);
      border-radius: 53px;
      background-color: getColorHex("cream");
    }
  }

  .inputTextIconphoneInputClass {
    position: absolute;
    left: 9px;
    bottom: 8.5px;
    height: 45px;
    width: 45px;

    img {
      height: 100%;
      width: 100%;
    }
  }
}
